Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
AbcWarmStartOrganizer Class Reference

`#include <AbcWarmStart.hpp>`

Collaboration diagram for AbcWarmStartOrganizer:
[legend]

## Public Member Functions
void | createBasis0 ()
| Create Basis type 0. More...
void | createBasis12 ()
| Create Basis type 1,2. More...
void | createBasis34 ()
| Create Basis type 3,4. More...
void | deleteBasis (AbcWarmStart *basis)
| delete basis More...
Constructors, destructors, and related functions
| AbcWarmStartOrganizer (AbcSimplex *model=NULL)
| Default constructor. More...
| AbcWarmStartOrganizer (const AbcWarmStartOrganizer &ws)
| Copy constructor. More...
virtual | ~AbcWarmStartOrganizer ()
| Destructor. More...
virtual AbcWarmStartOrganizer & | operator= (const AbcWarmStartOrganizer &rhs)
| Assignment. More...

## Protected Attributes
Protected data members
AbcSimplex * | model_
| Pointer to AbcSimplex (can only be applied to that) More...
AbcWarmStart * | firstBasis_
| Pointer to first basis. More...
AbcWarmStart * | lastBasis_
| Pointer to last basis. More...
int | numberBases_
| Number of bases. More...
int | sizeBases_
| Size of bases (extra) More...

## Detailed Description

Definition at line 23 of file AbcWarmStart.hpp.

## Constructor & Destructor Documentation

AbcWarmStartOrganizer::AbcWarmStartOrganizer | ( | AbcSimplex * | model = `NULL` | ) |

Default constructor.

Creates a warm start object organizer

AbcWarmStartOrganizer::AbcWarmStartOrganizer | ( | const AbcWarmStartOrganizer & | ws | ) |

Copy constructor.

virtual AbcWarmStartOrganizer::~AbcWarmStartOrganizer | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

void AbcWarmStartOrganizer::createBasis0 | ( |  | ) |

Create Basis type 0.

void AbcWarmStartOrganizer::createBasis12 | ( |  | ) |

Create Basis type 1,2.

void AbcWarmStartOrganizer::createBasis34 | ( |  | ) |

Create Basis type 3,4.

void AbcWarmStartOrganizer::deleteBasis | ( | AbcWarmStart * | basis | ) |

delete basis

virtual AbcWarmStartOrganizer& AbcWarmStartOrganizer::operator= | ( | const AbcWarmStartOrganizer & | rhs | ) |
| virtual

Assignment.

## Member Data Documentation

AbcSimplex* AbcWarmStartOrganizer::model_
| protected

Pointer to AbcSimplex (can only be applied to that)

Definition at line 58 of file AbcWarmStart.hpp.

AbcWarmStart* AbcWarmStartOrganizer::firstBasis_
| protected

Pointer to first basis.

Definition at line 60 of file AbcWarmStart.hpp.

AbcWarmStart* AbcWarmStartOrganizer::lastBasis_
| protected

Pointer to last basis.

Definition at line 62 of file AbcWarmStart.hpp.

int AbcWarmStartOrganizer::numberBases_
| protected

Number of bases.

Definition at line 64 of file AbcWarmStart.hpp.

int AbcWarmStartOrganizer::sizeBases_
| protected

Size of bases (extra)

Definition at line 66 of file AbcWarmStart.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Clp/src/AbcWarmStart.hpp